<template>
<div>
    <div class="row">
     <div class="col-1"></div>
        <div class="col-10">
            <div class="card">
                <div class="card-header text-left">
                <span style="font-family:'times';font-size:150%;font-weight:bold"><i class="fa  fa-edit icon-2xt " ></i> Médicament {{medoc.nom_medicament}}</span>
                </div>
                <div class="card-body">
                 <div class="form-group row">
                 
                 <router-link to="/medicament" class="btn btn-primary" style="margin-left:2%"><i class="fas fa-align-justify icon-2xt"></i>Gerer les medicaments</router-link>
                 <router-link to="/medicament-add" class="btn btn-success" style="margin-left:2%"><i class="fab fa-medrt icon-2xt " ></i> Ajouter un medicament</router-link>
                 </div>
                <form>
               <div class="row">
                    <div class="col-6">
                        <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Nom du l'medicament</label>
                        <input type="text" placeholder="Nom du médicament" class="form-control col-8" v-model="medoc.nom_medicament"/>
                        </div>

                         <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%"  >Nom généric</label>
                        <input type="text" placeholder="Nom du généric" class="form-control col-8" v-model="medoc.nom_generic"/>
                        </div>

                         <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Unité</label>
                        <select class="form-control col-8" v-model="medoc.id_unit">
                            <option v-for="(unit,index) in listunit" :key="index" :value="unit.id">{{unit.libelle}}</option>
                        </select>
                        </div>

                          <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Type de Médicament</label>
                        <select class="form-control col-8"  v-model="medoc.id_type_medicament">
                            <option v-for="(tm,index) in listtype_medicament" :key="index"  :value="tm.id">{{tm.libelle}}</option>
                        </select>
                        </div>

                           <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Catégorie</label>
                        <select class="form-control col-8"  v-model="medoc.id_categorie">
                            <option v-for="(cat,index) in listcategorie" :key="index" :value="cat.id" >{{cat.libelle}}</option>
                        </select>
                         
                        </div>
                       
                     <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Description</label>
                        <textarea placeholder="Description" class="form-control col-8" v-model="medoc.description"></textarea>
                    </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%"  >CodeBar ou CodeQR</label>
                        <input type="text" placeholder="CodeBar ou CodeQR" class="form-control col-8" v-model="medoc.code"/>
                        </div>
                    

                      <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Taille de la boite</label>
                        <input type="number" placeholder="Taille de la boite" class="form-control col-8" v-model="medoc.taille_boite"/>
                    </div>
                    
                    <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Prix Vente</label>
                        <input type="number" placeholder="Prix Vente" class="form-control col-8" v-model="medoc.prix_vente"/>
                    </div>
                     <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Prix Achat</label>
                        <input type="number" placeholder="Prix Acaht" class="form-control col-8" v-model="medoc.prix_achat"/>
                    </div>

                     <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Force</label>
                        <input type="text" placeholder="Force" class="form-control col-8" v-model="medoc.force"/>
                    </div>
                      <div class="form-group row">
                        <label class="form-group col-4" style="font-family:'times';font-size:120%" >Image</label>
                        <b-form-file class="form-control col-8"  v-model="medoc.image" placeholder="selectionner un fichier ou drap&drop" drop-placeholder="Deposer votre fichier ici"></b-form-file>
                    </div>
                    
                   
                </div>
               
                </div>
                
                </form>
                   <div class="form-group row">
                 
                 <button  class="btn btn-primary" style="margin-left:2%" v-on:click="updateMedicament(true)"><i class="fab fa-medrt icon-2xt"></i>Modifier</button>
                 <button class="btn btn-info" style="margin-left:2%"  v-on:click="updateMedicament(false)"><i class="fab fa-medrt icon-2xt " ></i> Modifier et continuer</button>
                 </div>
                </div>
            </div>
        </div>
    </div>
</div>
</template>

<script>


export default {
  name: 'AddMedicament',
  components: {
  },
  data(){
      return{
          listcategorie:[],
          listtype_medicament:[],
          listunit:[],
          updatemedocs:{},
          medoc :{
                nom_medicament:'',
                nom_generic:'',
                prix_achat:'',
                prix_vente:'',
                image:'',
                taille_boite:'',
                description:'',
                force:'',
                id_type_medicament:'',
                id_unit:'',
                id_categorie:'',
                code:''
          },
          initmedoc :{
                nom_medicament:'',
                nom_generic:'',
                prix_achat:'',
                prix_vente:'',
                image:'',
                taille_boite:'',
                description:'',
                force:'',
                id_type_medicament:'',
                id_unit:'',
                id_categorie:'',
                code:''
          }
      }
  },
  compute(){
      
  },
  created(){
    const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
  };
  const categorieurl="http://127.0.0.1:8000/api/auth/categorie/liste";
  const  uniturl="http://127.0.0.1:8000/api/auth/unit/liste";
  const type_medicamenturl="http://127.0.0.1:8000/api/auth/type_medicament/liste";
  const medicamenturl="http://127.0.0.1:8000/api/auth/medicament/info/"+this.$route.params.id;
  
  fetch(categorieurl, requestOptions)
    .then(response => response.json())
    .then(data => (this.listcategorie=data.data,this.medoc.id_categorie=this.listcategorie[0].id));
  
  fetch(uniturl, requestOptions)
    .then(response => response.json())
    .then(data => (this.listunit=data.data,this.medoc.id_unit=this.listunit[0].id));
  

  fetch(type_medicamenturl, requestOptions)
    .then(response => response.json())
    .then(data => (this.listtype_medicament=data.data,this.medoc.id_type_medicament=this.listtype_medicament[0].id));
  
fetch(medicamenturl, requestOptions)
    .then(response => response.json())
    .then(data => (this.medoc=data.data));
  
  

  },
  methods:{
       showupdate(status){
     if(status){
         this.$toasted.success('Opération éffectuée avec success').goAway(2000);
     }
     else{
         this.$toasted.error("Veuillez reésayer une erreur s'est produite").goAway(2000);
     }
 },
  handlerror(response){
     if(!response.ok){
         throw new Error(response.statusText);
     }
     return response.json()
 },
  updateMedicament(leave){
 this.updatemedocs=this.medoc;
 console.log(this.updatemedocs)
          const requestOptions = {
            method: "POST",
            headers: { "Content-Type": "application/json" },
            body: JSON.stringify({ data: this.updatemedocs })
            };
    fetch("http://127.0.0.1:8000/api/auth/medicament/update/"+this.$route.params.id, requestOptions)
    .then(this.handlerror)
    .then(data => {console.log(data),this.showupdate(true);if(leave){this.$router.push({'name':"medicament-list"})}})
    .catch(err => (this.showupdate(false),console.log(err)))
    
  }

    
  
  }
}
</script>
